Last modified: 2011-04-25 13:31:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26148 - Redirect button in the Vector skin must be mirrored in an RTL environment
Redirect button in the Vector skin must be mirrored in an RTL environment
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
WikiEditor (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
: easy, i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2010-11-27 22:40 UTC by Amir E. Aharoni
Modified: 2011-04-25 13:31 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2010-11-27 22:40:42 UTC
The Redirect button in the enhanced toolbar for the Vector skin looks like a bended arrow that emulates the arrow that appears when a redirect page is viewed. In an RTL wiki this arrow points from right-to-left, but the redirect button on the toolbar is always left-to-right. This makes it hard to guess what the button does.
Comment 1 Trevor Parscal 2011-04-15 17:20:27 UTC
This is probably true for many other icons with a directional bias, such as search and replace, signature, etc.
Comment 2 Amir E. Aharoni 2011-04-15 17:44:22 UTC
Thanks for the comment. I thought of a few and put them at Bug 28554, although none of them is as confusing as Redirect.

"New line" also looks like an arrow, but it should NOT be reversed, because it emulates the Enter key, which looks the same on keyboards for RTL languages.
Comment 3 Jan Paul Posma 2011-04-25 13:31:29 UTC
Fixed in r86853.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links